View Issue Details

IDProjectCategoryView StatusLast Update
0037434LazarusIDEpublic2020-12-20 22:22
ReporterBirger Sørensen Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.10 
Summary0037434: Object Inspector TreeView should not show nodes user has hidden - unless a hidden control is selected.
DescriptionThis is especially a problem in projects with many controls.
You can send half a day, hiding nodes you are not working with - and some oprations will immediatly undo this (changing z-order for instance).
TagsNo tags attached.
Fixed in Revisionr64138
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0033464 resolvedJuha Manninen Component Tree in Object Inspector autoexpands 
related to 0038235 resolvedJuha Manninen Regression, can't delete components placed on a PairSplitter from OI and after many attempts back to locking the IDE again. 
related to 0038239 closedJuha Manninen Items added to collections via context menu are not displayed in object tree 

Activities

Juha Manninen

2020-11-13 22:58

developer   ~0126901

Partly solved. Please see the related issue.

Juha Manninen

2020-11-15 12:56

developer   ~0126954

Fixed.
Now the ComponentTree does not autoexpand after a component is deleted or its Z-order is changed.
The case of delete may speed up the designer noticeably with very big forms. When many controls are selected and deleted at one go, handler TMainIDE.DesignerPersistentDeleted is called once for each control. Earlier the whole tree was cleared and rebuilt each time. Now only the individual node is deleted from it.
Please test.

Issue History

Date Modified Username Field Change
2020-07-28 19:03 Birger Sørensen New Issue
2020-07-28 22:41 Juha Manninen Relationship added related to 0033464
2020-11-13 22:57 Juha Manninen Assigned To => Juha Manninen
2020-11-13 22:57 Juha Manninen Status new => assigned
2020-11-13 22:58 Juha Manninen Note Added: 0126901
2020-11-15 12:56 Juha Manninen Status assigned => resolved
2020-11-15 12:56 Juha Manninen Resolution open => fixed
2020-11-15 12:56 Juha Manninen Fixed in Revision => r64138
2020-11-15 12:56 Juha Manninen LazTarget => -
2020-11-15 12:56 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-11-15 12:56 Juha Manninen Note Added: 0126954
2020-12-20 19:13 Juha Manninen Relationship added related to 0038235
2020-12-20 22:22 wp Relationship added related to 0038239